Project

General

Profile

Backport #4548

Gem unpack fails due to missing permissions on /usr/lib/ruby/gems/1.8

Added by roelofr (Roelof Reitsma) over 8 years ago. Updated 2 days ago.

Status:
Closed
Priority:
Normal
Assignee:
-
[ruby-core:<unknown>]

Description

=begin
Hi,

I had to update Rubygems, but version 1.6.2 has a regression, similar to #3056.
If I use the gem unpack command, it complains about

ERROR: While executing gem ... (Gem::FilePermissionError)
You don't have write permissions into the /usr/lib/ruby/gems/1.8 directory.

I don't think I need permissions to the gems directory to unpack a gem.

=end

History

#1

Updated by jeremyevans0 (Jeremy Evans) 2 days ago

  • ruby -v deleted (1.8.7 patchlevel 330)
  • Status changed from Open to Closed
  • Description updated (diff)
  • Project changed from Ruby 1.8 to Backport187
  • Tracker changed from Bug to Backport

Also available in: Atom PDF